<?php
/**
 * Pagination Settings
 *
 * @package NewsWrap
 */

$newswrap_default = newswrap_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'newswrap_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'newswrap' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'newswrap_pagination_layout',
	array(
	'default'           => $newswrap_default['newswrap_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'newswrap_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'newswrap' ),
	'section'     => 'newswrap_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','newswrap'),
		'numeric' => esc_html__('Numeric Method','newswrap'),
		'load-more' => esc_html__('Ajax Load More Button','newswrap'),
		'auto-load' => esc_html__('Ajax Auto Load','newswrap'),
	),
	)
);