<?php
/**
 * Advertise
 *
 * @package NewsWrap
 */
if (!function_exists('newswrap_main_banner')):
    function newswrap_main_banner($newswrap_home_section, $repeat_times)
    {
        $section_post_slide_cat = esc_html(isset($newswrap_home_section->section_post_slide_cat) ? $newswrap_home_section->section_post_slide_cat : '');
        $section_post_cat_1 = esc_html(isset($newswrap_home_section->section_post_cat_1) ? $newswrap_home_section->section_post_cat_1 : '');
        $section_main_banner_tab_category = esc_html(isset($newswrap_home_section->section_main_banner_tab_category) ? $newswrap_home_section->section_main_banner_tab_category : '');
        $section_main_banner_tab_category_2 = esc_html(isset($newswrap_home_section->section_main_banner_tab_category_2) ? $newswrap_home_section->section_main_banner_tab_category_2 : '');
        $slider_arrows = esc_html(isset($newswrap_home_section->ed_arrows_carousel) ? $newswrap_home_section->ed_arrows_carousel : '');
        $slider_dots = esc_html(isset($newswrap_home_section->ed_dots_carousel) ? $newswrap_home_section->ed_dots_carousel : '');
        $slider_autoplay = esc_html(isset($newswrap_home_section->ed_autoplay_carousel) ? $newswrap_home_section->ed_autoplay_carousel : '');
        $home_section_title_1 = isset($newswrap_home_section->home_section_title_1) ? $newswrap_home_section->home_section_title_1 : '';
        if ($slider_arrows == 'yes' || $slider_arrows == '') {
            $arrow = 'true';
        } else {
            $arrow = 'false';
        }
        if ($slider_autoplay == 'yes' || $slider_autoplay == '') {
            $autoplay = 'true';
        } else {
            $autoplay = 'false';
        }
        if ($slider_dots == 'yes') {
            $dots = 'true';
        } else {
            $dots = 'false';
        }
        if (is_rtl()) {
            $rtl = 'true';
        } else {
            $rtl = 'false';
        }
        $banner_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 3, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_post_cat_1)));
        $banner_query_2 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_post_slide_cat)));
        if ($section_main_banner_tab_category) {
            $banner_query_3 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_main_banner_tab_category)));
        } else {
            $section_main_banner_tab_category = esc_html__("Popular", 'newswrap');
            $banner_query_3 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'orderby' => 'comment_count'));
        }
        if ($section_main_banner_tab_category_2) {
            $banner_query_4 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_main_banner_tab_category_2)));
        } else {
            $section_main_banner_tab_category_2 = esc_html__("latest", 'newswrap');
            $banner_query_4 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts")));
        } ?>
        <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-list-grid theme-grid-hero theme-grid-hero-one theme-block">
          <div class="wrapper">
          <div class="wrapper-inner">
            <div class="column column-9 column-md-12 column-sm-12">
                <div class="theme-block-left">
                    <div class="theme-panel-header">
                        <div class="block-title-wrapper">
                            <?php if ($home_section_title_1) { ?>
                          <h2 class="block-title">
                              <span><?php echo esc_html($home_section_title_1); ?></span>
                          </h2>
                            <?php } ?>
                        </div>
                    </div>     

                    <div class="theme-panel-body">
                        <?php if ($banner_query_2->have_posts()): ?>
                            <div class="theme-block-top">
                                    <div class="theme-main-slider-block" data-slick='{"arrows": <?php echo esc_attr($arrow); ?>, "autoplay": <?php echo esc_attr($autoplay); ?>, "dots": <?php echo esc_attr($dots); ?>, "rtl": <?php echo esc_attr($rtl); ?>}'>
                                        <?php
                                        while ($banner_query_2->have_posts()) {
                                            $banner_query_2->the_post();
                                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                            $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                            <div class="theme-slider-item">
                                                <div class="wrapper-inner">
                                                <div class="column column-4 column-sm-12 column-order-2">
                                                  <div class="theme-block-left">
                                                    <article class="theme-news-article">
                                                      <div class="theme-article-detail">
                                                        <header class="theme-article-header">
                                                          <h3 class="entry-title entry-title-big">
                                                            <a href="<?php the_permalink();?>">
                                                              <?php the_title(); ?>
                                                            </a>
                                                          </h3>
                                                        </header>

                                                        <div class="theme-article-content">
                                                          <div class="theme-article-excerpt">
                                                            <?php the_excerpt(); ?>
                                                          </div>

                                                          <div class="entry-meta-bottom">
                                                            <?php newswrap_posted_on( $icon = true ); ?>
                                                          </div>
                                                        </div>
                                                      </div>
                                                    </article>
                                                  </div>
                                                </div>
                                                
                                                <div class="column column-8 column-sm-12 column-order-1" >
                                                  <div class="theme-block-right">
                                                    <article class="theme-news-article">
                                                      <div class="data-bg data-bg-medium" data-background="<?php echo esc_url($featured_image); ?>">
                                                        <a href="<?php the_permalink();?>" class="img-link"></a>
                                                      </div>
                                                    </article>
                                                  </div>
                                                </div>
                                                </div>
                                            </div>
                                        <?php } ?>
                                    </div>
                                    <div class="theme-heading-controls">
                                        <button type="button" class="slide-btn slide-btn-small slide-prev-lead">
                                            <?php newswrap_theme_svg('chevron-left'); ?>
                                        </button>
                                        <button type="button" class="slide-btn slide-btn-small slide-next-lead">
                                            <?php newswrap_theme_svg('chevron-right'); ?>
                                        </button>
                                    </div>
                            </div>
                        <?php wp_reset_postdata();
                        endif; ?>

                    <?php if ($banner_query_1->have_posts()): ?>
                        <div class="theme-block-bottom">
                          <div class="wrapper-inner">
                            <?php
                            while ($banner_query_1->have_posts()) {
                                $banner_query_1->the_post();
                                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                    <div class="column column-4 column-sm-6 column-xxs-12">
                                      <article class="theme-news-article">
                                        <div class="data-bg data-bg-small" data-background="<?php echo esc_url($featured_image); ?>" >
                                          <a href="<?php the_permalink(); ?>" class="img-link"></a>
                                        </div>

                                        <div class="theme-article-detail">
                                          <header class="theme-article-header">
                                            <h3 class="entry-title entry-title-medium">
                                              <a href="<?php the_permalink(); ?>">
                                                <?php the_title(); ?>
                                              </a>
                                            </h3>

                                            <div class="entry-meta-bottom">
                                                <?php newswrap_posted_on( $icon = true ); ?>
                                            </div>
                                          </header>
                                        </div>
                                      </article>
                                    </div>
                                <?php
                            } ?>
                          </div>
                        </div>
                        <?php wp_reset_postdata();
                        endif; ?>
                    </div>
                </div>
            </div>

            <div class="column column-3 column-md-6 column-sm-6 column-xxs-12">
                        <div class="theme-block-right">
                            <header id="theme-banner-navs">
                                <ul>
                                    <li class="active">
                                        <a href="#banner-tab-1">
                                                <span class="banner-navs-icon">
                                                </span>
                                            <span class="banner-navs-"> <?php echo esc_html($section_main_banner_tab_category); ?></span>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#banner-tab-2">
                                            <?php echo esc_html($section_main_banner_tab_category_2); ?>
                                        </a>
                                    </li>
                                </ul>
                            </header>
                            <div class="main-banner-right">
                                <div id="banner-tab-1" class="twp-banner-tab">
                                    <?php if ($banner_query_3->have_posts()):
                                        while ($banner_query_3->have_posts()) {
                                            $banner_query_3->the_post();
                                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'thumbnail');
                                            $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                            <article
                                                    id="theme-post-<?php the_ID(); ?>" <?php post_class('theme-news-article news-article-instant'); ?>>
                                                <div class="wrapper-inner">
                                                  <div class="column column-8">
                                                    <div class="theme-article-detail">
                                                      <header class="theme-article-header">
                                                        <h3 class="entry-title entry-title-small">
                                                          <a href="<?php the_permalink(); ?>">
                                                            <?php the_title(); ?>
                                                          </a>
                                                        </h3>

                                                        <div class="entry-meta-bottom">
                                                            <?php newswrap_posted_on( $icon = true ); ?>
                                                        </div>
                                                      </header>
                                                    </div>
                                                  </div>

                                                  <div class="column column-4">
                                                    <div
                                                      class="data-bg data-bg-thumbnail"
                                                      data-background="<?php echo esc_url($featured_image); ?>">
                                                      <a href="<?php the_permalink(); ?>" class="img-link"></a>
                                                    </div>
                                                  </div>
                                                </div>
                                            </article>
                                            <?php
                                        }
                                        wp_reset_postdata();
                                    endif; ?>
                                </div>
                                <div id="banner-tab-2" class="twp-banner-tab">
                                    <?php if ($banner_query_4->have_posts()): ?>
                                        <?php
                                        while ($banner_query_4->have_posts()) {
                                            $banner_query_4->the_post();
                                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'thumbnail');
                                            $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                            <article
                                                    id="theme-post-<?php the_ID(); ?>" <?php post_class('theme-news-article news-article-instant'); ?>>
                                                    <div class="wrapper-inner">
                                                      <div class="column column-8">
                                                        <div class="theme-article-detail">
                                                          <header class="theme-article-header">
                                                            <h3 class="entry-title entry-title-small">
                                                              <a href="<?php the_permalink(); ?>">
                                                                <?php the_title(); ?>
                                                              </a>
                                                            </h3>

                                                            <div class="entry-meta-bottom">
                                                                <?php newswrap_posted_on( $icon = true ); ?>
                                                            </div>
                                                          </header>
                                                        </div>
                                                      </div>

                                                      <div class="column column-4">
                                                        <div
                                                          class="data-bg data-bg-thumbnail"
                                                          data-background="<?php echo esc_url($featured_image); ?>">
                                                          <a href="<?php the_permalink(); ?>" class="img-link"></a>
                                                        </div>
                                                      </div>
                                                    </div>
                                            </article>
                                            <?php
                                        } ?>
                                        <?php
                                        wp_reset_postdata();
                                    endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
        </div>
          </div>
        </div>
    <?php }
endif; ?>