<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package NewsWrap
 * @since 1.0.0
 */

$newswrap_default = newswrap_get_default_theme_options();
$newswrap_post_layout = esc_html( get_post_meta( get_the_ID(), 'newswrap_post_layout', true ) );
$newswrap_feature_image = esc_html( get_post_meta( get_the_ID(), 'newswrap_ed_feature_image', true ) );
if (empty($newswrap_feature_image)) {
	$newswrap_ed_feature_image = esc_attr(get_theme_mod('ed_post_thumbnail'));
} else{
	$newswrap_ed_feature_image = esc_attr($newswrap_feature_image);
}

if( is_page() ){

	$newswrap_post_layout = get_post_meta(get_the_ID(), 'newswrap_page_layout', true);
	
}
if( $newswrap_post_layout == '' || $newswrap_post_layout == 'global-layout' ){
    
    $newswrap_post_layout = get_theme_mod( 'newswrap_single_post_layout',$newswrap_default['newswrap_single_post_layout'] );

}
	
newswrap_disable_post_views();
newswrap_disable_post_like_dislike();

$newswrap_ed_post_views = esc_html( get_post_meta( get_the_ID(), 'newswrap_ed_post_views', true ) );
$newswrap_ed_post_read_time = esc_html( get_post_meta( get_the_ID(), 'newswrap_ed_post_read_time', true ) );
$newswrap_ed_post_author_box = esc_html( get_post_meta( get_the_ID(), 'newswrap_ed_post_author_box', true ) );
$newswrap_ed_post_social_share = esc_html( get_post_meta( get_the_ID(), 'newswrap_ed_post_social_share', true ) );
$newswrap_ed_post_reaction = esc_html( get_post_meta( get_the_ID(), 'newswrap_ed_post_reaction', true ) );

if( $newswrap_ed_post_read_time ){ newswrap_disable_post_read_time(); }
if( $newswrap_ed_post_author_box ){ newswrap_disable_post_author_box(); }
if( $newswrap_ed_post_reaction ){ newswrap_disable_post_reaction(); }
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>> 

	<?php

	if( empty( $newswrap_ed_feature_image ) && $newswrap_post_layout != 'layout-2' ){ ?>

		<div class="post-thumbnail">
			<?php if(has_post_thumbnail()){
 				newswrap_post_thumbnail();
			} else {?>
				<div class="twp-single-no-image"></div>
			<?php }?>
		
			<?php if ( is_singular() && $newswrap_post_layout != 'layout-2' ) { ?>
		
				<header class="entry-header">
		
					<?php
					if ( 'post' === get_post_type() ) { ?>
		
						<div class="entry-meta entry-meta-top">
		
							<?php newswrap_entry_footer( $cats = true, $tags = false, $edits = false, $text = false, $icon = false ); ?>
		
						</div>
		
					<?php  } ?>
		
					<h1 class="entry-title entry-title-large">
		
						<?php the_title(); ?>
		
					</h1>
					
					<?php if ( $newswrap_post_layout != 'layout-2' && is_single() && 'post' === get_post_type() ) { ?>
						<div class="entry-meta">
		
							<?php
							newswrap_posted_by();
							if( !$newswrap_ed_post_views ){ newswrap_post_view_count(); }
							?>
		
						</div>
					<?php  } ?>
				</header>
		
			<?php } ?>
			
		</div>

	<?php
	} ?>

	
	<div class="post-content-wrap">

		<?php if( is_singular() && empty( $newswrap_ed_post_social_share ) && class_exists( 'Booster_Extension_Class' ) && 'post' === get_post_type() ){ ?>
				
			<?php $twp_booster_extention_shocial_share = do_shortcode('[booster-extension-ss layout="layout-1" status="enable"]'); ?>
			<?php if (!empty($twp_booster_extention_shocial_share)) { ?>
				<div class="post-content-share">
					<?php echo $twp_booster_extention_shocial_share; ?>
				</div>
			<?php } ?>

		<?php } ?>

		<div class="post-content">

			<div class="entry-content">

				<?php

				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'newswrap' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				if( !class_exists('Booster_Extension_Class') || is_page() ):

                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'newswrap'),
                        'after' => '</div>',
                    ));

                endif; ?>

			</div>

			<?php
			if ( is_singular() && 'post' === get_post_type() ) { ?>

				<div class="entry-footer">

                    <div class="entry-meta">
                         <?php newswrap_post_like_dislike(); ?>
                    </div>

                    <div class="entry-meta">
                        <?php newswrap_entry_footer( $cats = false, $tags = true, $edits = true ); ?>
                    </div>

				</div>

			<?php } ?>

		</div>

	</div>

</article>